{ config, pkgs, ... }:
{
  programs.alacritty = {
    enable = true;
    settings = {
      env = {
        TERM = "xterm-256color";
      };
      font = {
        size = 8;
      };
      shell.program = "${pkgs.zsh}/bin/zsh";
      window.opacity = 0.7;

      colors = {
        primary = {
          background = "#282a36";
          foreground = "#f8f8f2";
        };
        cursor = {
          text = "CellBackground";
          cursor = "CellForeground";
        };
        vi_mode_cursor = {
          text = "CellBackground";
          cursor = "CellForeground";
        };
        search = {
          matches = {
            foreground = "#44475a";
            background = "#50fa7b";
          };
          focused_match = {
            foreground = "#44475a";
            background = "#ffb86c";
          };
          footer_bar = {
            background = "#282a36";
            foreground = "#f8f8f2";
          };
        };
        line_indicator = {
          foreground = null;
          background = null;
        };
        selection = {
          text = "CellForeground";
          background = "#44475a";
        };
        normal = {
          black = "#21222c";
          red = "#ff5555";
          green = "#50fa7b";
          yellow = "#f1fa8c";
          blue = "#bd93f9";
          magenta = "#ff79c6";
          cyan = "#8be9fd";
          white = "#bfbfbf";
        };
        bright = {
          black = "#4d4d4d";
          red = "#ff6e67";
          green = "#5af78e";
          yellow = "#f4f99d";
          blue = "#caa9fa";
          magenta = "#ff92d0";
          cyan = "#9aedfe";
          white = "#e6e6e6";
        };
        dim = {
          black = "#14151b";
          red = "#ff2222";
          green = "#1ef956";
          yellow = "#ebf85b";
          blue = "#4d5b86";
          magenta = "#ff46b0";
          cyan = "#59dffc";
          white = "#e6e6d1";
        };
      };
    };
  };
}
